Bug 1027513 - Review Request: rubygem-axiom-types - Abstract types for logic programming
Review Request: rubygem-axiom-types - Abstract types for logic programming
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 20:34 EST by Ken Dreyer
Modified: 2013-12-13 21:59 EST (History)
1 user (show)

See Also:
Fixed In Version: rubygem-axiom-types-0.0.5-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-10 21:02:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ken Dreyer 2013-11-06 20:34:34 EST
Spec URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-axiom-types.spec
SRPM URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-axiom-types-0.0.5-1.fc21.src.rpm
Description: Define types with optional constraints for use within axiom and other libraries.
Fedora Account System Username: ktdreyer

F21 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6147477
Comment 1 Ken Dreyer 2013-11-06 20:38:39 EST
(Please note that this package depends on the newly-accepted rubygem-ice_nine and rubygem-descendants_tracker packages. These dependencies are in updates-testing for F20 and F19, but they have not yet been pushed to stable. So the rubygem-axiom-types package will only build on F21 until these two packages get pushed to stable.)
Comment 3 Mamoru TASAKA 2013-11-28 04:12:00 EST
Taking

I would appreciate it if you would review one of my review requests (e.g. bug 1031317 )
Comment 4 Mamoru TASAKA 2013-11-30 13:08:36 EST
Okay.

- Spec file clean
- Builds fine on koji
- Can be installed via yum
- At least the following works:

$ ruby -e "require 'axiom/types' ; puts Axiom::Types::VERSION"
0.0.5
$ gem list axiom-types

*** LOCAL GEMS ***

axiom-types (0.0.5)


--------------------------------------------------------
  This package (rubygem-axiom-types) is APPROVED by
  mtasaka
--------------------------------------------------------
Comment 5 Ken Dreyer 2013-11-30 18:22:15 EST
Thanks Mamoru for the review!

New Package SCM Request
=======================
Package Name: rubygem-axiom-types
Short Description: Abstract types for logic programming
Owners: ktdreyer
Branches: f19 f20
Comment 6 Gwyn Ciesla 2013-12-01 16:44:30 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-12-01 21:26:20 EST
rubygem-axiom-types-0.0.5-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-axiom-types-0.0.5-2.fc20
Comment 8 Fedora Update System 2013-12-01 21:27:00 EST
rubygem-axiom-types-0.0.5-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-axiom-types-0.0.5-2.fc19
Comment 9 Fedora Update System 2013-12-02 18:53:59 EST
rubygem-axiom-types-0.0.5-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 10 Fedora Update System 2013-12-10 21:02:17 EST
rubygem-axiom-types-0.0.5-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-12-13 21:59:45 EST
rubygem-axiom-types-0.0.5-2.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.